...
 
Commits (2)
AC_PREREQ([2.68])
AC_INIT([libvmod-dispatch], [0.1.0], [varnish-support@uplex.de], [vmod-dispatch])
AC_INIT([libvmod-dispatch], [0.2.0], [varnish-support@uplex.de], [vmod-dispatch])
AC_COPYRIGHT([Copyright 2016-2017 UPLEX - Nils Goroll Systemoptimierung])
AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_AUX_DIR([build-aux])
......
......@@ -10,8 +10,8 @@
# - this script (named pkg)
# - VMOD dispatch tarball (vmod-dispatch-$VERSION.tar.gz)
# - RPM spec file (vmod-dispatch.spec)
# - yum repo config for varnish60lts@packagecloud (varnishcache_varnish60lts.repo)
# (see https://packagecloud.io/varnishcache/varnish60lts/install#manual-rpm)
# - yum repo config for varnish62@packagecloud (varnishcache_varnish62.repo)
# (see https://packagecloud.io/varnishcache/varnish62/install#manual-rpm)
# Sample docker invocation:
# $ docker run -t -v $PWD:/srv -e VERSION=47.1.1 -e RELEASE=815 \
......@@ -44,9 +44,9 @@ sudo yum install -y -q \
https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
# set up varnish repo
sudo cp /srv/varnishcache_varnish60lts.repo /etc/yum.repos.d/
sudo cp /srv/varnishcache_varnish62.repo /etc/yum.repos.d/
sudo yum -q makecache -y --disablerepo='*' --enablerepo='varnishcache_varnish60lts'
sudo yum -q makecache -y --disablerepo='*' --enablerepo='varnishcache_varnish62'
# build requirements
sudo yum install -y -v varnish-devel pkgconfig make gcc python-docutils
......
[varnishcache_varnish60lts]
name=varnishcache_varnish60lts
baseurl=https://packagecloud.io/varnishcache/varnish60lts/el/7/$basearch
[varnishcache_varnish62]
name=varnishcache_varnish62
baseurl=https://packagecloud.io/varnishcache/varnish62/el/7/$basearch
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish60lts/gpgkey
gpgkey=https://packagecloud.io/varnishcache/varnish62/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
[varnishcache_varnish60lts-source]
name=varnishcache_varnish60lts-source
baseurl=https://packagecloud.io/varnishcache/varnish60lts/el/7/SRPMS
[varnishcache_varnish62-source]
name=varnishcache_varnish62-source
baseurl=https://packagecloud.io/varnishcache/varnish62/el/7/SRPMS
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish60lts/gpgkey
gpgkey=https://packagecloud.io/varnishcache/varnish62/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
......@@ -9,11 +9,11 @@ Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-dispatch
Source0: %{name}-%{version}.tar.gz
# varnish 6.0.3 from varnish60lts at packagecloud
# varnish 6.2.0 from varnish62 at packagecloud
# This is the Requires for strict VMOD ABI compatibility.
Requires: varnishd(abi)%{?_isa} == 7d1ded3aa033a018317dbafc61587026ea2ef8a3
Requires: varnishd(abi)%{?_isa} == b14a3d38dbe918ad50d3838b11aa596f42179b54
BuildRequires: varnish-devel == 6.0.3
BuildRequires: varnish-devel == 6.2.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
......@@ -73,4 +73,7 @@ rm -rf %{buildroot}
%changelog
* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
Compatibilty with Varnish 6.2.0
* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - 0.1.0-1
Compatibilty with Varnish 6.0.3